﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="CopyPasteFormula.WebForm1" %>


<%@ Register assembly="FarPoint.Web.Spread, Version=7.40.20132.1, Culture=neutral, PublicKeyToken=327c3516b1b18457" namespace="FarPoint.Web.Spread" tagprefix="FarPoint" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <FarPoint:FpSpread ID="FpSpread1" runat="server" BorderColor="Black" BorderStyle="Solid"
            BorderWidth="1px" Height="200" Width="400" 
            onbuttoncommand="FpSpread1_ButtonCommand">
            <CommandBar BackColor="Control" ButtonFaceColor="Control" ButtonHighlightColor="ControlLightLight"
                ButtonShadowColor="ControlDark">
            </CommandBar>
            <Sheets>
                <FarPoint:SheetView SheetName="Sheet1">
                </FarPoint:SheetView>
            </Sheets>
        </FarPoint:FpSpread>
        <asp:HiddenField ID="HiddenField1" runat="server" />
        <asp:HiddenField ID="HiddenField2" runat="server" />
        <asp:HiddenField ID="HiddenField3" runat="server" />
    </div>
    <script language="javascript" type="text/javascript">

        window.onload = function () {

            var spread1 = document.getElementById("<%=FpSpread1.ClientID %>");

            if (document.all) {

                // IE

                if (spread1.addEventListener) {

                    // IE9

                    spread1.addEventListener("keydown", keyDown, false);

                } else {

                    // Other versions of IE and IE9 quirks mode (no doctype set)

                    spread1.onkeydown = keyDown;

                }
            }

            else {

                // Firefox

                spread1.addEventListener("keydown", keyDown, false);

            }

        }



        function keyDown() {

            if (window.event.keyCode == 86 && event.ctrlKey) {
                var data = window.clipboardData.getData("Text");
                var cdata = document.getElementById("HiddenField3");
                cdata.value = data;              
                var ss = document.getElementById("FpSpread1");
                ss.CallBack("Custom Paste");

            }
            else if (window.event.keyCode == 67 && event.ctrlKey) {                
                var ss = document.getElementById("FpSpread1");
                var srow = document.getElementById("HiddenField1");
                var scol = document.getElementById("HiddenField2"); 
                var scr = ss.GetSelectedRange();
                srow.value = scr.row;
                if (scr.col == -1) {
                    scol.value = 0;
                }
               else {
                    scol.value = scr.col;
                }
                if (scr.row == -1) {
                    srow.value = 0;
                }
                else {
                    srow.value = scr.row;
                }

           }
        }      
    </script>   
    </form>
</body>
</html>
