﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CopyPasteFormula
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                FpSpread1.ActiveSheetView.Cells[0, 0].Formula = "Sum(1,2)";
                FpSpread1.ActiveSheetView.Cells[1, 0].Formula = "Sum(4,2)";
                FpSpread1.ActiveSheetView.Cells[0, 1].Formula = "Sum(5,2)";
                FpSpread1.ActiveSheetView.Cells[0, 2].Formula = "Sum(6,2)";
                FpSpread1.ActiveSheetView.Cells[1, 0].Value = 1;
                FpSpread1.ActiveSheetView.Cells[1, 1].Value = 2;
                FpSpread1.ActiveSheetView.Cells[1, 2].Value = 3;
                FpSpread1.ActiveSheetView.Cells[1, 3].Value = 4;

            }
        }

        protected void FpSpread1_ButtonCommand(object sender, FarPoint.Web.Spread.SpreadCommandEventArgs e)
        {
            if (e.CommandName == "Custom Paste")
            {
                string data = Convert.ToString(HiddenField3.Value);

                string[] rows = data.Split("\r\n".ToCharArray(), StringSplitOptions.RemoveEmptyEntries);
                string[] columns = rows[0].Split("\t".ToCharArray());
                int row = Convert.ToInt32(HiddenField1.Value);
                int col = Convert.ToInt32(HiddenField2.Value);              
                int rc = rows.Length;
                int cc = columns.Length;
                int drow = FpSpread1.ActiveSheetView.ActiveRow;
                int dcol = FpSpread1.ActiveSheetView.ActiveColumn;
                string[,] forarr = new string[rc, cc];
                for (int r = drow, i = 0; i < rc; i++, r++)
                    for (int c = dcol, j = 0; j < cc; j++, c++)
                    {
                        if (FpSpread1.ActiveSheetView.Cells[r, c].Formula != "")
                        {
                            forarr[i, j] = FpSpread1.ActiveSheetView.Cells[r, c].Formula;
                        }
                        else
                        {
                            forarr[i, j] = "";
                        }
                    }

                for (int r = drow, i = 0; i < rc; i++, r++)
                {
                    string[] ccolumns = rows[i].Split("\t".ToCharArray());
                    for (int c = dcol, j = 0; j < cc; j++, c++)
                    {
                        FpSpread1.ActiveSheetView.SetText(r,  c, ccolumns[j]);
                    }
                }
                for (int r = drow, i = 0; i < rc; i++, r++)
                    for (int c = dcol, j = 0; j < cc; j++, c++)
                    {
                        if (forarr[i, j] != "")
                        {
                            FpSpread1.ActiveSheetView.Cells[r, c].Formula = forarr[i, j];
                        }
                    }
            }
        }
    }
}
